Loading...
Searching...
No Matches
icu::message2::SelectorFactory Class Referenceabstract

Interface that factory classes for creating selectors must implement. More...

`#include <messageformat2_function_registry.h>`

Inheritance diagram for icu::message2::SelectorFactory:

## Public Member Functions

virtual Selector * | createSelector (const Locale &locale, UErrorCode &status) const =0
| Constructs a new selector object.
virtual | ~SelectorFactory ()
| Destructor.
SelectorFactory & | operator= (const SelectorFactory &)=delete
| Copy constructor.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class.

## Detailed Description

Interface that factory classes for creating selectors must implement.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 80 of file messageformat2_function_registry.h.

## Constructor & Destructor Documentation

## ~SelectorFactory()

virtual icu::message2::SelectorFactory::~SelectorFactory | ( |  | ) |

virtual

Destructor.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

## Member Function Documentation

## createSelector()

virtual Selector * icu::message2::SelectorFactory::createSelector | ( | const Locale & | locale,
|  | UErrorCode & | status ) const

pure virtual

Constructs a new selector object.

Parameters

  locale | Locale to be used by the selector.
  status | Input/output error code.

Returns
  The new selector, which is non-null if U_SUCCESS(status).

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

## operator=()

SelectorFactory & icu::message2::SelectorFactory::operator= | ( | const SelectorFactory & |  | ) |

delete

Copy constructor.

Internal
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated
  This API is for technology preview only.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_function_registry.h